#### D.13.2.21 generatorsOfLinealitySpace

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  generatorsOfLinealitySpace(c); c cone

Return:
  bigintmat, generators of the lineality space of c

Example:

    LIB "gfan.lib";
    intmat M[5][3]=
    1,0,0,
    0,1,0,
    0,0,1,
    -1,0,0,
    0,-1,0;
    cone c=coneViaPoints(M);
    bigintmat L=generatorsOfLinealitySpace(c);
    print(L);
    ==> -1, 0,0,
    ==>  0,-1,0

User manual for Singular version 4.4.1, 2025, generated by texi2html.